libxmmsclient++-glib1v5_0.8+dfsg-18.2_amd64.deb


Advertisement

Description

libxmmsclient++-glib1v5 - XMMS2 - glib client library for c++

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libxmmsclient++-glib1v5_0.8+dfsg-18.2_amd64.deb
Package name libxmmsclient++-glib1v5
Package version 0.8+dfsg
Package release 18.2
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage http://xmms2.org/
License -
Maintainer Benjamin Drung <bdrung@debian.org>
Download size 18.00 KB
Installed size 55.00 KB
XMMS2 is a redesign of the XMMS music player. It features a client-server
model, allowing multiple (even simultaneous!) user interfaces, both textual
and graphical. All common audio formats are supported using plug-ins. On top of
this, there is a flexible media library to organize your music.
This package contains a glib based client library written in c++.

Alternatives

Package Version Architecture Repository
libxmmsclient++-glib1v5_0.8+dfsg-18.2_i386.deb 0.8+dfsg i386 Debian Main
libxmmsclient++-glib1v5 - - -

Requires

Name Value
libc6 >= 2.4
libglib2.0-0 >= 2.12.0
libstdc++6 >= 5
libxmmsclient-glib1 >= 0.6DrMattDestruction
libxmmsclient6 >= 0.7DrNo

Conflicts

Name Value
libxmmsclient++-glib1 -

Replaces

Name Value
libxmmsclient++-glib1 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libxmmsclient++-glib1v5_0.8+dfsg-18.2_amd64.deb
Source Package xmms2

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxmmsclient++-glib1v5 deb package:
    # sudo apt-get install libxmmsclient++-glib1v5

Files

Path
/usr/lib/libxmmsclient++-glib.so.1
/usr/lib/libxmmsclient++-glib.so.1.0.0
/usr/share/doc/libxmmsclient++-glib1v5/NEWS.Debian.gz
/usr/share/doc/libxmmsclient++-glib1v5/changelog.Debian.gz
/usr/share/doc/libxmmsclient++-glib1v5/copyright
/usr/share/lintian/overrides/libxmmsclient++-glib1v5

Changelog

2019-02-25 - Emanuele Rocca <ema@debian.org>
xmms2 (0.8+dfsg-18.2) unstable; urgency=high
* Non-maintainer upload.
* Build using GCC 8 and tighten dependency on the shared library. Closes:
#871285
2017-11-16 - Matthias Klose <doko@debian.org>
xmms2 (0.8+dfsg-18.1) unstable; urgency=medium
* Non-maintainer upload.
* Build with -Wno-deprecated-declarations using new glib.
* Fix build with new libcdio-paranoia. Closes: #881797.
2017-01-02 - Benjamin Drung <bdrung@debian.org>
xmms2 (0.8+dfsg-18) unstable; urgency=medium
* Remove glib version check (Closes: #849373)
* Update Vcs links to point to https URLs
* Mention Perl library name in description of libaudio-xmmsclient-perl
2016-10-29 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-17) unstable; urgency=medium
* Bug fix: "FTBFS with openssl 1.1.0", thanks to Sebastian Andrzej
Siewior (Closes: #828609).
* Bump Standards-Version to 3.9.8 (no changes needed).
2016-05-22 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-16) unstable; urgency=medium
* OTHER: Let the compiler figure out what to inline.
(thanks to Daniel Svensson <dsvensson@gmail.com>,
fix: "equalizer not working", thanks to dave (Closes: #825017).
2016-02-21 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-15) unstable; urgency=medium
* remove samba on hurd-i386 (Closes: #815410).
thanks to Andreas Beckmann
2015-09-06 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-14) unstable; urgency=medium
* transition do g++-5 (Closes: #797646)
rename libxmmsclient++4 to libxmmsclient++4v5
rename libxmmsclient++-glib1 to libxmmsclient++-glib1v5
2015-07-21 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-13) unstable; urgency=low
* xmms2-plugin-gme: list supported formats in description, thanks to
Samuel Bronson (Closes: #780075).
* Bug fix: "FTBFS: uses obsolete ruby Config::CONFIG", thanks to Andreas
Cadhalpun and Christian Hofstaedtler (Closes: #792493, #782259).
* Bump Standards-Version to 3.9.6 (no changes needed).
2014-11-09 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-12) unstable; urgency=medium
* Do not build vistest (Closes: #768679)
2014-07-04 - Rémi Vanicat <vanicat@debian.org>
xmms2 (0.8+dfsg-11) unstable; urgency=low
* Use a virtual package (xmms2-plugin-output) to allow not installing the
alsa plugin (Closes: #499950).
* Perl 5.20 transition: make libaudio-xmmsclient-perl.install an
executable perl script (Closes: #752818)
* Change build depend from libdiscid0-dev to libdiscid-dev (Closes: #753634).

See Also

Package Description
libxmmsclient++4v5_0.8+dfsg-18.2_amd64.deb XMMS2 - client library for c++
libxmmsclient-dev_0.8+dfsg-18.2_amd64.deb XMMS2 - client library development files
libxmmsclient-glib-dev_0.8+dfsg-18.2_amd64.deb XMMS2 - glib client library - development files
libxmmsclient-glib1_0.8+dfsg-18.2_amd64.deb XMMS2 - glib client library
libxmmsclient6_0.8+dfsg-18.2_amd64.deb XMMS2 - client library
libxmp-dev_4.4.1-2_amd64.deb module file rendering library -- development files
libxmp4_4.4.1-2_amd64.deb module file rendering library
libxmpcore-java_5.1.3-1_all.deb Adobe XMP Toolkit for Java
libxmpi4-dev_2.2.3b8-13.2_amd64.deb Graphical user interface for MPI program development
libxmpi4_2.2.3b8-13.2_amd64.deb Graphical user interface for MPI program development
libxmu-dev_1.1.2-2+b3_amd64.deb X11 miscellaneous utility library (development headers)
libxmu-headers_1.1.2-2_all.deb X11 miscellaneous utility library headers
libxmu6_1.1.2-2+b3_amd64.deb X11 miscellaneous utility library
libxmuu-dev_1.1.2-2+b3_amd64.deb X11 miscellaneous micro-utility library (development headers)
libxmuu1_1.1.2-2+b3_amd64.deb X11 miscellaneous micro-utility library
Advertisement
Advertisement